---
title: "[DEPRECATED] Delete Pipeline"
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Pipelines](https://developers.cloudflare.com/api/go/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# \[DEPRECATED] Delete Pipeline

Deprecated: Use delete\_v1 instead. This endpoint will be removed in the future.

client.Pipelines.Delete(ctx, pipelineName, body) error

DELETE/accounts/{account\_id}/pipelines/{pipeline\_name}

\[DEPRECATED] Delete a pipeline. Use the new /pipelines/v1/pipelines endpoint instead.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write`

##### ParametersExpand Collapse

pipelineName string

Defines the name of the pipeline.

maxLength128

minLength1

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20pipeline_name%20%3E%20(schema)>)

<details>

<summary>

body PipelineDeleteParams

</summary>

AccountID param.Field\[string]

Specifies the public ID of the account.

<a href="#(resource)%20pipelines%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

### \[DEPRECATED] Delete Pipeline

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  err := client.Pipelines.Delete(
    context.TODO(),
    "sample_pipeline",
    pipelines.PipelineDeleteParams{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
```

##### Returns Examples